Package org.apache.activemq.artemis.spi.core.security.jaas

## Class ReloadableProperties

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.security.jaas.ReloadableProperties

-     public class ReloadableProperties
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.concurrent.locks.ReadWriteLock` | `LOCK` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReloadableProperties​(PropertiesLoader.FileNameKey key)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Properties` | `getProps()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `invertedPropertiesMap()` |
    `java.util.Map<java.lang.String,​java.util.Set<java.lang.String>>` | `invertedPropertiesValuesMap()` |
    `ReloadableProperties` | `obtained()` |
    `java.util.Map<java.lang.String,​java.util.regex.Pattern>` | `regexpPropertiesMap()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOCK

          public static final java.util.concurrent.locks.ReadWriteLock LOCK

  - ### Constructor Detail

    - #### ReloadableProperties

          public ReloadableProperties​(PropertiesLoader.FileNameKey key)

  - ### Method Detail

    - #### getProps

          public java.util.Properties getProps()

    - #### obtained

          public ReloadableProperties obtained()

    - #### invertedPropertiesMap

          public java.util.Map<java.lang.String,​java.lang.String> invertedPropertiesMap()

    - #### invertedPropertiesValuesMap

          public java.util.Map<java.lang.String,​java.util.Set<java.lang.String>> invertedPropertiesValuesMap()

    - #### regexpPropertiesMap

          public java.util.Map<java.lang.String,​java.util.regex.Pattern> regexpPropertiesMap()